## Apache Zeta Components Manual :: Docs For Class ezcMailMtaTransport

### Mail::ezcMailMtaTransport

### Class ezcMailMtaTransport

Implementation of the mail transport interface using the system MTA.

The system MTA translates to sendmail on most Linux distributions.

Qmail insists it should only have "\n" linebreaks and will send garbled messages with the default "\r\n" setting. Use ezcMailTools::setLineBreak( "\n" ) before sending mail to fix this issue.

Source for this file: /Mail/src/transports/mta/mta_transport.php

### Implements interfaces:

- ezcMailTransport

Version: | //autogen//

### Method Summary

public ezcMailMtaTransport | `__construct( )` Constructs a new ezcMailMtaTransport.
public void | `send( $mail )` Sends the mail $mail using the PHP mail method.

### Methods

#### __construct

ezcMailMtaTransport __construct( )

Constructs a new ezcMailMtaTransport.

#### send

void send( ezcMail $mail )

Sends the mail $mail using the PHP mail method.

Note that a message may not arrive at the destination even though it was accepted for delivery.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

##### Exceptions:

Type | Description
--- | ---
`ezcMailTransportException` | if the mail was not accepted for delivery by the MTA.

##### Implementation of:

Method | Description
--- | ---
`ezcMailTransport::send()` | Sends the contents of $mail.

Documentation generated by phpDocumentor 1.4.3